Clone a repository
Clone a git repository into the sandbox filesystem.
Clone a git repository into the sandbox filesystem.
Authorization
BearerAuth AuthorizationBearer <token>
API key passed as a Bearer token in the Authorization header.
Alternatively, use the leap0-authorization header.
In: header
Path Parameters
sandboxID*string
Unique sandbox identifier.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
url*string
Repository URL to clone.
path*string
Destination path inside the sandbox.
branch?string
Branch to clone.
commit_id?string
Specific commit to checkout after cloning.
depth?integer
Shallow clone depth.
Format
uint32username?string
Username for authentication.
password?string
Password or token for authentication.
Response Body
application/json
application/json
application/json
curl -X POST "https://api.leap0.dev/v1/sandbox/string/git/clone" \ -H "Content-Type: application/json" \ -d '{ "url": "https://github.com/user/repo.git", "path": "/home/user/repo" }'{ "output": "string", "exit_code": 0}{ "message": "string", "errors": [ { "field": "string", "error": "string" } ]}{ "message": "string"}
